<?php
$this->layout()->disableLayout();
$vars = $this->tpl->getVars();
$langs = Cubix_Application::getById($this->request()->application_id);



?>

<fieldset class="mt20">
	<legend>Template Variables</legend>
<? foreach ($vars as $var): ?>
	<div class="inner">
		<? if ( $var->type == 'string' ): ?>
		<!-- <label for="field-<?= $var->name ?>"><?= $var->name ?> <small style="display: inline">(<?= $var->description ?>)</small></label> -->
		<fieldset class="p0 m0 mt30" style="width: 460px">
			<legend style="margin-top: -18px; -moz-border-radius: 3px 3px 0 0"><?= $var->name ?> <small style="display: inline">(<?= $var->description ?>)</small></legend>
			
			<div id="tab-<?= $var->name ?>" class="mootabs">
				<ul class="mootabs_title">
					<? $i = 0; foreach (Cubix_Application::getLangs($this->request()->application_id, true) as $id): ?>
					<li title="tab-<?= $var->name ?>-<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
					<? endforeach; ?>
				</ul>
				<? $i = 0; foreach ($this->langs() as $id): ?>
				<div id="tab-<?= $var->name ?>-<?= $id ?>" class="mootabs_panel">
					<div class="inner">
						<input class="txt" type="text" name="tpl_<?= $var->name ?>_<?= $id ?>" id="field-<?= $var->name ?>-<?= $id ?>" value=""<?= $var->length ? ' size="' . $var->length . '"' : '' ?> />
					</div>
					
					<div class="clear"></div>
				</div>
				<? endforeach; ?>
			</div>
		</fieldset>
		<? elseif ($var->type == 'text'): ?>
		<fieldset class="p0 m0 mt30" style="width: 460px">
			<legend style="margin-top: -18px; -moz-border-radius: 3px 3px 0 0"><?= $var->name ?> <small style="display: inline">(<?= $var->description ?>)</small></legend>
			
			<div id="tab-<?= $var->name ?>" class="mootabs">
				<ul class="mootabs_title">
					<? $i = 0; foreach (Cubix_Application::getLangs($this->request()->application_id, true) as $id): ?>
					<li title="tab-<?= $var->name ?>-<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
					<? endforeach; ?>
				</ul>
				<? $i = 0; foreach ($this->langs() as $id): ?>
				<div id="tab-<?= $var->name ?>-<?= $id ?>" class="mootabs_panel">
					<div class="inner">
						<textarea class="txt" id="field-<?= $var->name ?>-<?= $id ?>" name="tpl_<?= $var->name ?>_<?= $id ?>" cols="<?= $var->length ?>" rows="10"></textarea>
					</div>
					
					<div class="clear"></div>
				</div>
				<? endforeach; ?>
			</div>
		</fieldset>
		<? elseif ( $var->type == 'date' ): ?>
		<label for="field-<?= $var->name ?>"><?= $var->name ?> <small style="display: inline">(<?= $var->description ?>)</small></label>
		<input id="field-<?= $var->name ?>" type="text" class="DatePicker w8 txt" value="" name="tpl_<?= $var->name ?>" />
		<? elseif ( $var->type == 'escorts' ): ?>
		<label for="field-<?= $var->name ?>"><?= $var->name ?> <small style="display: inline">(<?= $var->description ?>)</small></label>
		<a href="/newsletter/templates/escort-picker" class="escort-picker">Pick Escorts</a>
		<? endif; ?>
	</div>
	<div class="clear"></div>
<? endforeach; ?>
</fieldset>
